#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

DEB_HOST_ARCH           ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),amd64)
	oclbinfile=oclHashcat-plus64.bin
	cudabinfile=cudaHashcat-plus64.bin
else
	oclbinfile=oclHashcat-plus32.bin
	cudabinfile=cudaHashcat-plus32.bin
endif

override_dh_auto_install:
	dh_installdirs
	install $(oclbinfile) $(CURDIR)/debian/oclhashcat-plus/usr/share/oclhashcat-plus/oclHashcat-plus.bin
	install $(cudabinfile) $(CURDIR)/debian/oclhashcat-plus/usr/share/oclhashcat-plus/cudaHashcat-plus.bin

override_dh_shlibdeps:
